metaHTML

# Class: htmlLink

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlLink

Generates a link.

### Methods

- __construct
- generateHTML
- setOnClick
- setTargetWindow
- setTitle

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::VALIDATE_NUMERIC

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 2055]
Generates a link.

The link can include an optional image in front of the link text.

[ Top ]

### Class Methods

### constructor __construct [line 2077]

`htmlLink __construct( String $text, String $target, [String $image = null])`

Constructor.

#### Parameters:

String | $text | label
String | $target | target URL
String | $image | URL of optional image

[ Top ]

### method generateHTML [line 2094]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlElement::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method setOnClick [line 2138]

`void setOnClick( String $event)`

Sets the onClick event.

#### Tags:

access: | public

#### Parameters:

String | $event | JavaScript code

[ Top ]

### method setTargetWindow [line 2129]

`void setTargetWindow( String $window)`

Sets the target window (e.g. _blank).

#### Tags:

access: | public

#### Parameters:

String | $window | target window (e.g. _blank)

[ Top ]

### method setTitle [line 2120]

`void setTitle( String $title)`

Sets the link title.

#### Tags:

access: | public

#### Parameters:

String | $title | title

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:48 +0100 by phpDocumentor 1.4.1